Skip to main content
GET
/
v1
/
wallets
/
{walletId}
/
transactions
List Transactions
curl --request GET \
  --url https://api.beta.getpara.com/v1/wallets/{walletId}/transactions \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "transactionId": "550e8400-e29b-41d4-a716-446655440000",
      "walletId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "walletType": "EVM",
      "intentKind": "transfer",
      "status": "pending",
      "createdAt": "2023-11-07T05:31:56Z",
      "chainId": "<string>",
      "network": "SOLANA",
      "to": "<string>",
      "value": "<string>",
      "tokenAddress": "<string>",
      "hash": "<string>",
      "blockNumber": "<string>",
      "blockHash": "<string>",
      "failureStage": "mpc_sign",
      "failureCode": "<string>",
      "failureMessage": "<string>",
      "submittedAt": "2023-11-07T05:31:56Z",
      "resolvedAt": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "cursor": "<string>",
    "hasMore": true,
    "limit": 50
  }
}

Authorizations

X-API-Key
string
header
default:sk_your_secret_key_here
required

Your partner secret key (server-side only)

Headers

X-Request-Id
string<uuid>

UUID for request tracing. Para returns one if omitted.

Path Parameters

walletId
string
required

Wallet ID

Example:

"0a1b2c3d-4e5f-6789-abcd-ef0123456789"

Query Parameters

limit
integer
default:50

Maximum number of items to return (1-100)

Required range: 1 <= x <= 100
cursor
string

Opaque cursor for pagination. Use the value from a previous response's pagination.cursor field.

status
enum<string>

Filter by transaction status.

Available options:
pending,
submitted,
confirmed,
reverted,
failed
intentKind
enum<string>

Filter by the REST operation that created the transaction record.

Available options:
transfer,
sign_transaction

Response

Paginated list of transactions

data
object[]
required
pagination
object
required

Cursor-based pagination metadata included in all list responses.